Page MenuHomePhabricator

Fix Qt deprectation warning on MacOS
ClosedPublic

Authored by Fabien on Mon, Oct 12, 11:04.

Details

Reviewers
deadalnix
Group Reviewers
Restricted Project
Commits
rABCf6558fa3c6a5: Fix Qt deprectation warning on MacOS
Summary

Fix this warning on OSX:

../src/qt/guiutil.cpp:984:46: warning: 'width' is deprecated: Use
QFontMetrics::horizontalAdvance [-Wdeprecated-declarations]
    const int margin = dialog->fontMetrics().width("X");
Test Plan

On OSX:

ninja all check-bitcoin-qt
./src/qt/BitcoinABC-Qt.app/Contents/MacOS/BitcoinABC-Qt

Check the progress bar looks like before this patch.

Diff Detail

Repository
rABC Bitcoin ABC
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Fabien requested review of this revision.Mon, Oct 12, 11:04
deadalnix added a subscriber: deadalnix.

The test plan is inadequate.

This revision is now accepted and ready to land.Mon, Oct 12, 12:35
This revision was automatically updated to reflect the committed changes.